package com.ruoyi.indica.service;

import java.io.OutputStream;
import java.util.List;

import com.ruoyi.indica.domain.CIndicationInfo;
import com.ruoyi.indica.vo.CIndicationInfoDTO;
import com.ruoyi.indica.vo.CIndicationInfoVO;

public interface ICIndicationInfoExcel {

    void exportReportMark(OutputStream out,CIndicationInfo req,CIndicationInfoDTO dto);

    void exportReportGrowth(OutputStream out,CIndicationInfo req,List<CIndicationInfoDTO>list);

    void exportReportHzqy(OutputStream out,CIndicationInfo req,CIndicationInfoDTO dto);
    
    void exportReportFarm(OutputStream out,CIndicationInfo req,CIndicationInfoDTO dto) ;
    

    void export(OutputStream out,CIndicationInfo req, List<CIndicationInfo> list) ;
    void export2(OutputStream out,CIndicationInfo req, List<CIndicationInfo> list) ;
	void export3(OutputStream out, CIndicationInfo req, List<CIndicationInfo> list);
	
    void exportReportMarkRank(OutputStream out,CIndicationInfo req,List<CIndicationInfoVO>list);
    void exportReportAddrRank(OutputStream out,CIndicationInfo req,List<CIndicationInfoVO>list);
    void exportReportFarmRank(OutputStream out,CIndicationInfo req,List<CIndicationInfoVO>list);
}
